
def random_color_hex():
    import random
    import colorsys
    
    def get_random_color():
        # Generate a random color using the HSV color space
        h = random.random()
        s = random.random()
        v = random.random()
        color = colorsys.hsv_to_rgb(h, s, v)
        # Convert to hexadecimal format
        return '#{:02x}{:02x}{:02x}'.format(int(color[0]*255), int(color[1]*255), int(color[2]*255))
    
    return get_random_color()



